[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# semtimedop (platform)

Perform semaphore operation using timeout.

## Declaration

Source position: ipc.pp line 876

`function semtimedop(`
`semid: cint;`
`sops: PSEMbuf;`
`nsops: cuint;`
`timeOut: ptimespec`
`):cint;`

## Description

semop performs a set of operations on a message queue, just as semop. sops points to an array of type TSEMbuf. The array should contain nsops elements. The timeOut argument points to a time specification: if the operations cannot be performed withing the specified, time, the function will return with an error.

For more information on the actual operations, see semop.

## See also

semop |  | Perform semaphore operation.